Upload a single file to Null Drop with optional visibility control
cURL
curl --request POST \ --url https://nulldrop.xyz/api/v1/upload \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file='@example-file'
{ "success": true, "data": { "id": "<string>", "filename": "<string>", "size": 123, "mimeType": "<string>", "downloadUrl": "<string>", "shareUrl": "<string>", "uploadedAt": "2023-11-07T05:31:56Z" } }
Documentation IndexFetch the complete documentation index at: https://docs.nulldrop.xyz/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nulldrop.xyz/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
File uploaded successfully
Show child attributes